[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.CloseDataSets

Close all connected datasets

## Declaration

Source position: db.pas line 2084

`public procedure TDatabase.CloseDataSets;`

## Description

CloseDatasets closes all connected datasets. It is called automatically when the connection is closed.

## See also

TCustomConnection.Close |  | Close the connection
TDatabase.CloseTransactions |  | End all transactions